curl --request GET \
--url https://api.gcore.com/waap/v2/firewall-rules \
--header 'Authorization: <api-key>'import requests
url = "https://api.gcore.com/waap/v2/firewall-rules"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/waap/v2/firewall-rules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"limit": 123,
"offset": 123,
"count": 123,
"results": [
{
"name": "Block foobar bot",
"enabled": true,
"action": {
"allow": {},
"block": {
"status_code": 403,
"action_duration": "12h"
}
},
"conditions": [
{
"ip": {
"ip_address": "<string>",
"negation": false
},
"ip_range": {
"lower_bound": "<string>",
"upper_bound": "<string>",
"negation": false
}
}
],
"id": 123,
"domain": {
"id": 123,
"name": "<string>"
},
"description": "<string>"
}
]
}{
"type": "http-bad-request",
"title": "Bad Request",
"status": 400,
"detail": "Invalid domain name: ''''"
}{
"detail": "Auth token is missing or invalid"
}{
"detail": "Permission denied"
}{
"type": "http-not-found",
"title": "Not Found",
"status": 404,
"detail": "The resource is not found"
}{
"type": "request-validation-failed",
"title": "Request validation error.",
"status": 422,
"detail": "One or more fields have validation errors.",
"errors": [
{
"loc": [
"body",
"name"
],
"detail": "Input should be a valid string"
},
{
"loc": [
"body",
"date"
],
"detail": "Field required"
},
{
"loc": [
"query",
"limit"
],
"detail": "Field required"
}
]
}{
"type": "internal-server-error",
"title": "Internal server error.",
"status": 500,
"detail": "An unexpected condition was encountered which prevented the server from fulfilling the request."
}Retrieve account's firewall rules across all domains
Returns all firewall rules across all domains belonging to the authenticated account. Supports filtering, ordering, and pagination.
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234_abcdef
Query Parameters
Order results by field (prefix with - for descending)
id, name, description, enabled, action, -id, -name, -description, -enabled, -action Number of items to return
0 <= x <= 100Number of items to skip
0 <= x <= 100000Filter rules by name (supports wildcards)
"Block by specific IP rule."
Filter rules by description (supports wildcards)
"Blocks all requests from a specific IP address."
Filter by action type
allow, block "allow"
Filter by enabled status
true
Filter by domain IDs (can specify multiple)
[123, 456]
Response
Successful Response
Number of items requested in the response
Items response offset used
Number of items contain in the response
List of items returned in the response following given criteria
Show child attributes
Show child attributes
Was this page helpful?